Summary:	Printed Circuit Board design tool
Summary(pl.UTF-8):	PCB - narzędzie do projektowania płytek drukowanych
Name:		pcb
Version:	20080202
Release:	13
License:	GPL
Group:		X11/Applications
# devel snaps: http://dl.sourceforge.net/pcb/
Source0:	http://dl.sourceforge.net/pcb/%{name}-%{version}.tar.gz
# Source0-md5:	933eda642f3838b24d417224693f8386
#Source0:	ftp://ftp.uni-ulm.de/pub/pcb/mirror/%{name}-%{version}.tar.gz
Patch0:		format-security.patch
URL:		http://pcb.sourceforge.net/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gd-devel
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXpm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults

%description
Pcb is a handy tool for the X Window System build to design printed
circuit boards.

%description -l pl.UTF-8
Pcb jest podręcznym narzędziem pod X Window System do projektowania
płytek drukowanych.

%prep
%setup -q
%patch0 -p1

%build
export LDFLAGS="-L%{_x_libraries}"
%configure \
	WISH="%{_bindir}/wish" \
	--disable-update-desktop-database \
	--disable-update-mime-database

%{__make} -i \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	PCBLIBDIR=%{_datadir}/pcb

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_infodir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PCBLIBDIR=%{_datadir}/pcb \
	BINDIR=%{_bindir}

install doc/pcb.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README_FILES/* example
%attr(755,root,root) %{_bindir}/*
##%attr(755,root,root) %{_bindir}/pcb
##%attr(755,root,root) %{_bindir}/pcb-bin
#%{_appdefsdir}/Pcb
%{_datadir}/pcb
%{_mandir}/man1/*
%{_infodir}/pcb.info*
%changelog
* Sun Apr 23 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pcb.git;a=log;h=master

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> a9fed4b
- release 13 (by relup.sh)

* Mon Aug 29 2016 Jan Rękorajski <baggins@pld-linux.org> e08ebec
- rebuild with libvpx 1.6
- release 12 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a7c0512
- release 11 (by relup.sh)

* Sat May 23 2015 Jan Rękorajski <baggins@pld-linux.org> fda6e35
- release 10 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d2f3d66
- updated gettext BR

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 71c6586
- release 9 (by relup.sh)

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 40a97d7
- fix format string errors
- rel 8

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ad84a9b
- release 7 (by relup.sh)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 419efa3
- release 6

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a1cad26
- release 5

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a707ec
- release 4

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> 2dfed70
- BR: gettext-devel, perl-XML-Parser, pkgconfig
- dropped BR: tetex-dvips, tetex-format-latex, texinfo, xorg-lib-libICE-devel
- specify WISH path so tk won't be needed at build time

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ecf09d3
- release 3

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 75b9b05
- release 2

* Fri Jul 25 2008 Maciej Pijanka <agaran@pld-linux.org> ea7f3d6
- up to 20080202, rel 1, builds here (almost Ac) and builds on Th too (modulo X buildreqs)

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 3289d93
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Tue Nov 20 2007 luzik <luzik@pld-linux.org> 270e247
- updated to 20070912

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d86a066
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6439ef2
- converted to UTF-8

* Wed Jun 07 2006 cieciwa <cieciwa@pld-linux.org> cffe13f
- release 1,
- removed "dirty hack".

